• Visit Rebornbuddy
  • [Release] Demonbuddy v1.1.2658.428

    Discussion in 'Archives' started by raphus, Sep 20, 2015.

    Thread Status:
    Not open for further replies.
    1. raphus

      raphus Administrator Staff Member Moderator Buddy Core Dev

      Joined:
      Jun 17, 2010
      Messages:
      2,094
      Likes Received:
      467
      Trophy Points:
      83
      [​IMG]


      Demonbuddy v1.1.2658.428


      [SIZE=+1]Changelog
      [/SIZE]
      Code:
      General:
      --------------
        * Keywarden profiles updated.
        * Adventurer profiles updated.
      
      
      API Changes:
      --------------
        * General
          - ArtisanType enum updated.
          - GizmoType enum updated.
        * ACD
          - PlayerIndex property addded.
          - IsVisibleOnMinimap property added.
      
      
        * ZetaDia
          - GetPlayerByIndex is now public.
          - GetPlayerByAcdId is now public.
      
      
        * DiaPlayer
          - IsInCombat should be more accurate now.
      
      
        * UIElements
          - TransmuteItemsDialog property added.
      
      
        * CombatTargeting
          - setter of property AllowerToKillMonsters is now public.
      
      
        * LootTargeting
          - setter of property AllowedToLoot is now public.
       - setter of property DisableLooting is now public.
      
      
        * InventoryManager
          -  TransmuteItems method added, takes a list of items and attempts to transmute them. 
          You must have the items in the inventory and the kanai's cube dialog must be visible.
       -  SplitStack method added, lets you split a stackable item into a smaller stack
      
      Due to API changes 3rd party plugins might not be working with this build. Please use built-in plugins only.




      [SIZE=+1]Reporting Bugs[/SIZE]
      Please report confirmed bugs to THIS thread!
      When reporting a bug, please include your full log file (found in your bot folder under the "Logs" directory, sort by creation date to find it easier), a full and detailed explanation of the bug, as well as any screenshots or profiles that may be useful in tracking down the bug.


      [SIZE=+1]Releases[/SIZE]
      Demonbuddy: Installer (recommended) / Zip


      [SIZE=+1]Requirements[/SIZE]
      The Buddy Dependency Wizard will install these requirements for you, if needed.
      Of course, you are welcome to install them manually if so inclined.



      [SIZE=+1]Thread Management Rules[/SIZE]
      Posts are archived according to the following rules:

      • Posts that have received a response from the Bossland GmbH staff are archived.
        Do not assume that because your post was archived, it means we don't care.
        We are simply keeping this thread clean.
      • This thread is for confirmed bug reports only.
        You should have tried to resolve your problem using the Support forum, first.
        If the Support forum can't resolve your issue, they will ask that you report the problem here.
      • We will only look into bugs reported against the version of Demonbuddy represented by this thread.
        Bugs reported against any other Demonbuddy releases (including Betas) will be archived immediately without comment.
      • Bug reports without FULL, unedited logs attached will be immediately archived without comment.
      • Either report bugs properly, or do not report them at all.
        We cannot look into bugs that have little to no information.
        Bugs reported in such a fashion will be immediately archived without comment.
      • This is not a discussion thread.
        If you derail this thread, you will be muted for up to 30 days. No questions.
      • Archiving may not be immediate, but occur every few days.



      Enjoy!
       
      evilking likes this.
    2. sv2241

      sv2241 New Member

      Joined:
      Sep 30, 2012
      Messages:
      9
      Likes Received:
      0
      Trophy Points:
      1
      First!
       
    3. ugen1x

      ugen1x New Member

      Joined:
      Dec 11, 2014
      Messages:
      45
      Likes Received:
      1
      Trophy Points:
      0
      Thanks for the new release! I do have one question -- how does this version compare to the .560 beta build? Does .560 already have all these changes? The changelog on the beta build sticky thread hasn't updated for some time so it's hard to tell what is part of that release.
       
    4. TarasBulba

      TarasBulba Moderator Moderator

      Joined:
      Apr 27, 2015
      Messages:
      795
      Likes Received:
      25
      Trophy Points:
      28
      No it doesn't.

      You need to update it, new version of Trinity requires this version+. (Next version of Adventurer will need it as well)
       
    5. evengaar

      evengaar Member

      Joined:
      Aug 18, 2014
      Messages:
      90
      Likes Received:
      0
      Trophy Points:
      6
      Beta build was updated too to version 564) Do not worry xD
       
    6. danny1992

      danny1992 New Member

      Joined:
      Dec 18, 2011
      Messages:
      44
      Likes Received:
      0
      Trophy Points:
      0
      How does one use the transmute items?
       
    7. ugen1x

      ugen1x New Member

      Joined:
      Dec 11, 2014
      Messages:
      45
      Likes Received:
      1
      Trophy Points:
      0

      Thanks guys.

      Initial report- My WW barb is doing much better with avoiding things and just generally seems to be more efficient throughout a rift. HOWEVER. The damn nav servers are still failing 50% of the time on new map loads. I've had trinity restart the game a couple times already due to timeouts caused by db not receiving any data from the servers. This was happening all day yesterday as well :(
       
    8. k995337

      k995337 New Member

      Joined:
      Jun 18, 2014
      Messages:
      13
      Likes Received:
      0
      Trophy Points:
      1
      Thanks for the new release but it seems like TRINITY disappeared ! :( doesnt work properly anymore
       
    9. GGino

      GGino New Member

      Joined:
      Jan 23, 2015
      Messages:
      15
      Likes Received:
      0
      Trophy Points:
      0
      same issue.
       
    10. TarasBulba

      TarasBulba Moderator Moderator

      Joined:
      Apr 27, 2015
      Messages:
      795
      Likes Received:
      25
      Trophy Points:
      28
      Do a fresh install (copy your settings folder somewhere, delete demonbuddy folder completely and reinstall, then copy back the settings folder)
       
    11. k995337

      k995337 New Member

      Joined:
      Jun 18, 2014
      Messages:
      13
      Likes Received:
      0
      Trophy Points:
      1
      it worked thank you. But having to re-install the Demonbuddy , beats the purpose of auto-update! hmm :confused:
       
    12. denemeci

      denemeci Member

      Joined:
      May 14, 2015
      Messages:
      41
      Likes Received:
      0
      Trophy Points:
      6
      I choose fresh install, and 2 mins of config (with itemlist import) if necessary..

      btw kanai upgrade options are awesome, thank you :rolleyes:
       
    13. blablub

      blablub New Member

      Joined:
      Dec 1, 2012
      Messages:
      810
      Likes Received:
      4
      Trophy Points:
      0
      i usally keep the settings folder and it works quite well (lazy mode ;) )

      thanks too for that update <3
       
    14. tvyper

      tvyper Member

      Joined:
      Jun 16, 2012
      Messages:
      258
      Likes Received:
      1
      Trophy Points:
      18
      Monk with Dashing Strike started again to leave grift globes behind :(
       
    15. Reikor

      Reikor New Member

      Joined:
      Apr 1, 2012
      Messages:
      33
      Likes Received:
      1
      Trophy Points:
      0
      If there is no New patch, what is the meaning for AutoUpdate uf you have no matter what to do a fresh reinstall ?

      i hate when this hapend....
       
    16. ugen1x

      ugen1x New Member

      Joined:
      Dec 11, 2014
      Messages:
      45
      Likes Received:
      1
      Trophy Points:
      0
      Because there is still a lot of development going on as they discover what it takes to make these combat routines work. If these were minor updates, it wouldn't be a big deal, but when you're introducing major code changes with each patch it becomes very difficult to ensure that every little edge case that might affect an upgrade vs clean install is taken into account.
       
    17. Jabir

      Jabir New Member

      Joined:
      Jun 11, 2014
      Messages:
      27
      Likes Received:
      0
      Trophy Points:
      0
      current update caused

      Code:
      2015-09-21 20:35:47,413 [1] DEBUG AssemblyLoader`1 (null) - Reloading AssemblyLoader<Zeta.Common.Plugins.IPlugin> - Initializing plugins
      2015-09-21 20:35:55,333 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\Coroutines\BuyItemsFromVendor.cs(15,7) : warning CS0105: The using directive for 'Zeta.Common' appeared previously in this namespace
      2015-09-21 20:35:55,333 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\Coroutines\BuyItemsFromVendor.cs(16,7) : warning CS0105: The using directive for 'Zeta.Bot' appeared previously in this namespace
      2015-09-21 20:35:55,333 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\Coroutines\GetItemsFromStash.cs(9,7) : warning CS0105: The using directive for 'Zeta.Common' appeared previously in this namespace
      2015-09-21 20:35:55,333 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\Coroutines\GetItemsFromStash.cs(10,7) : warning CS0105: The using directive for 'Zeta.Bot' appeared previously in this namespace
      2015-09-21 20:35:55,333 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\Coroutines\TakeItemsFromStash.cs(15,7) : warning CS0105: The using directive for 'Zeta.Common' appeared previously in this namespace
      2015-09-21 20:35:55,333 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\Coroutines\TakeItemsFromStash.cs(16,7) : warning CS0105: The using directive for 'Zeta.Bot' appeared previously in this namespace
      2015-09-21 20:35:55,333 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\Movement\StuckHandler.cs(11,7) : warning CS0105: The using directive for 'System.Threading.Tasks' appeared previously in this namespace
      2015-09-21 20:35:55,333 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\Settings\Loot\ItemListSettings.cs(27,7) : warning CS0105: The using directive for 'System.Text' appeared previously in this namespace
      2015-09-21 20:35:55,333 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\Settings\Loot\ItemListSettings.cs(28,7) : warning CS0105: The using directive for 'System.IO' appeared previously in this namespace
      2015-09-21 20:35:55,333 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\Items\ItemWrapper.cs(12,18) : warning CS0660: 'Trinity.Items.ItemWrapper' defines operator == or operator != but does not override Object.Equals(object o)
      2015-09-21 20:35:55,333 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\LazyCache\TrinityAvoidance.cs(108,21) : warning CS0108: 'Trinity.LazyCache.TrinityAvoidance.IsProjectile' hides inherited member 'Trinity.LazyCache.TrinityObject.IsProjectile'. Use the new keyword if hiding was intended.
      2015-09-21 20:35:55,333 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\LazyCache\TrinityGizmo.cs(267,21) : warning CS0108: 'Trinity.LazyCache.TrinityGizmo.IsShrine' hides inherited member 'Trinity.LazyCache.TrinityObject.IsShrine'. Use the new keyword if hiding was intended.
      2015-09-21 20:35:55,333 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\Cache\CacheData.Player.cs(269,34) : warning CS0618: 'Zeta.Game.Internals.Service.BnetHero.CurrentDifficulty' is obsolete: 'This has been removed from BnetHero, this will always return GameDifficulty.Normal'
      2015-09-21 20:35:55,333 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\Combat\Abilities\BarbarianCombat.cs(356,75) : warning CS0618: 'Trinity.Combat.Abilities.CombatBase.MinEnergyReserve' is obsolete: 'Use EnergyReserve, Set in Class's CombatSettings() override'
      2015-09-21 20:35:55,333 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\Combat\Abilities\BarbarianCombat.cs(443,148) : warning CS0618: 'Trinity.Combat.Abilities.CombatBase.MinEnergyReserve' is obsolete: 'Use EnergyReserve, Set in Class's CombatSettings() override'
      2015-09-21 20:35:55,333 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\Combat\Abilities\DemonHunterCombat.cs(248,102) : warning CS0618: 'Trinity.Combat.Abilities.CombatBase.MinEnergyReserve' is obsolete: 'Use EnergyReserve, Set in Class's CombatSettings() override'
      2015-09-21 20:35:55,333 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\Coroutines\CoroutineHelper.cs(158,40) : warning CS1998: This async method lacks 'await' operators and will run synchronously. Consider using the 'await' operator to await non-blocking API calls, or 'await Task.Run(...)' to do CPU-bound work on a background thread.
      2015-09-21 20:35:55,333 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\Helpers\IPluginCommunicator.cs(78,30) : warning CS0168: The variable 'ex' is declared but never used
      2015-09-21 20:35:55,343 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\Helpers\IPluginCommunicator.cs(115,34) : warning CS0168: The variable 'ex' is declared but never used
      2015-09-21 20:35:55,343 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\Helpers\MemoryHelper.cs(64,34) : warning CS0168: The variable 'ex' is declared but never used
      2015-09-21 20:35:55,343 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\Helpers\MemoryHelper.cs(74,34) : warning CS0168: The variable 'ex' is declared but never used
      2015-09-21 20:35:55,343 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\Helpers\ToStringReflector.cs(16,32) : warning CS0168: The variable 'properties' is declared but never used
      2015-09-21 20:35:55,343 [1] INFO  AssemblyLoader`1 (null) - Compiler Error: e:\DemonBuddy\Plugins\Trinity\LazyCache\TrinityAvoidance.cs(60,121) : error CS1501: No overload for method 'GetAvoidanceRadius' takes 1 arguments
      
      View attachment 2864 2015-09-21 16.30.txt


      Problem solved by rolling back to 2.13 and deleting the compiledassemblies files
       
    18. Reikor

      Reikor New Member

      Joined:
      Apr 1, 2012
      Messages:
      33
      Likes Received:
      1
      Trophy Points:
      0
      Demonbuddy v1.1.2658.428 started
      Logging in...

      Diablo III is running but no build supported by Demonbuddy detected, was there a patch?
       
    19. frodzet

      frodzet Member

      Joined:
      Mar 6, 2012
      Messages:
      339
      Likes Received:
      14
      Trophy Points:
      18
      There just was a patch...
       
    20. Vippe

      Vippe New Member

      Joined:
      Sep 22, 2015
      Messages:
      5
      Likes Received:
      0
      Trophy Points:
      1
      Demonbuddy v1.1.2658.428 started
      Logging in...
      T: 5247471568340413371 H: 2665613284
      Diablo III is running but no build supported by Demonbuddy detected, was there a patch?


      what does this mean?
       
    Thread Status:
    Not open for further replies.

    Share This Page